/***************************************************************************
                          text.h  -  description
                             -------------------
    begin                : Thu Aug 9 2001
    copyright            : (C) 2001 by Marc Bartsch
    email                : marc.bartsch@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef TEXT_H
#define TEXT_H

#include <geoobjects.h>
#include <qmultilineedit.h>
#include <qcheckbox.h>
#include <edittextdialog.h>

/**
  *@author Marc Bartsch
  */

class Text : public GeoObjects
{
	public:

		Text();
		~Text();

		virtual void		getObjectOverlay( QList <QRect> & list );

	  virtual void 		paint( QPainter *p );
	  virtual bool 		contains( QPoint *pt );

		virtual void 		move();
		virtual void 		move( QPoint *pt );

		virtual void 		writeToFile( KSimpleConfig *config );
		virtual void 		readFromFile( KSimpleConfig *config );

	protected:

		QRect 	textFrame;
		QRect  	textRect;
		QString value;
		bool		frame;
};

#endif
